#include<bits/stdc++.h>
#define ll long long
using namespace std;
long long value(int r, int c);
ll a[500][500];
std::pair<int, int> find_locmin_point(int N, int M){
    for(int i=0;i<N;i++){
        for(int j=0;j<M;j++){
            a[i][j]=value(i+1,j+1);
        }
    }
    for(int i=0;i<N;i++){
        for(int j=0;j<M;j++){
            if(i)if(a[i-1][j]<=a[i][j])continue;
            if(j)if(a[i][j-1]<=a[i][j])continue;
            if(i!=N-1)if(a[i+1][j]<=a[i][j])continue;
            if(j!=M-1)if(a[i][j+1]<=a[i][j])continue;
            pair<ll,ll>ans;
            ans.first=i+1;
            ans.second=j+1;
            return ans;
        }
    }
}